SQLITE3_STMT_ISEXPLAIN(3) | Library Functions Manual | SQLITE3_STMT_ISEXPLAIN(3)

# NAME

`sqlite3_stmt_isexplain` — query the EXPLAIN setting for a prepared statement

# SYNOPSIS

`#include <sqlite3.h>`

int
`sqlite3_stmt_isexplain`(sqlite3_stmt *pStmt);

# DESCRIPTION

The sqlite3_stmt_isexplain(S) interface returns 1 if the prepared statement S is an EXPLAIN statement, or 2 if the statement S is an EXPLAIN QUERY PLAN. The sqlite3_stmt_isexplain(S) interface returns 0 if S is an ordinary statement or a NULL pointer.

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 4417.

    SQLITE_API int sqlite3_stmt_isexplain(sqlite3_stmt *pStmt);

January 24, 2024 | NetBSD 11.0